Last modified: 2012-12-13 17:27:58 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20993 - Search and Replace: Pressing Enter to trigger Find Next doesn't work in Safari 3
Search and Replace: Pressing Enter to trigger Find Next doesn't work in Safari 3
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
Macintosh Mac OS X 10.5
: Lowest normal (vote)
: ---
Assigned To: Trevor Parscal
http://prototype.wikimedia.org/d/inde...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-10-05 06:22 UTC by Calcey QA
Modified: 2012-12-13 17:27 UTC (History)
2 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments

Description Calcey QA 2009-10-05 06:22:15 UTC
Reporting against Babaco Release.

Steps to Reproduce ::
1) Select a random page and click on edit
2) Enter required texts in the text area.
3) Click on 'Search and replace' button.
4) Set a value to 'Search for' text and click on 'Enter' key.
<<Highlighted the word in the text area which match to the entered value in the 'search for' text box>>
5) Click on 'Enter' key again.
<<Highlighted the same word which highlighted earlier>>

Expected Outcome::
Should highlighted the next matching word in the text area. Should equal to click on 'Find Next' button.

Test Environment (Client) ::
Browser (User-Agent):  	Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3
Time and Date: 	10:16:18 AM - Monday, October 05, 2009
Javascript: 	Enabled
Cookies Enabled: 	Enabled
Java Enabled: 	Enabled
CPU class/type: 	OS/CPU Intel Mac OS X 10.5

Browser (User-Agent):	Mozilla/5.0 (Macintosh; U; Intel Mac OS X; en-us) AppleWebKit/523.15.1 (KHTML, like Gecko) Version/3.0.4 Safari/523.10
Time and Date:	11:25:29 AM - Tuesday, October 06, 2009
Javascript:	Enabled
Cookies Enabled:	Enabled
Java Enabled:	Enabled
Comment 1 Roan Kattouw 2009-10-05 12:04:07 UTC
Fixed in r57376.
Comment 2 Calcey QA 2009-10-13 11:36:46 UTC
This works as expected in the following environment

Browser (User-Agent):  	Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9.1.3) Gecko/20090824 Firefox/3.5.3
Time and Date: 	4:15:42 PM - Tuesday, October 13, 2009
Javascript: 	Enabled


In the following environment, search will only find the immediate result string. once the user press on enter its 
not moving to the next immediate result string. 

Browser (User-Agent):    Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10_5_6; en-us) AppleWebKit/525.27.1 (KHTML, like Gecko) Version/3.2.1 Safari/525.27.1
Time and Date:    4:54:56 PM - Wednesday, October 14, 2009
Comment 3 Trevor Parscal 2010-02-05 19:36:07 UTC
I've removed Safari 3 from our map compatible browsers, pending further testing.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links